Package org.apache.avro.util

# Class ClassSecurityValidator.SystemPropertiesPredicate

java.lang.Object
org.apache.avro.util.ClassSecurityValidator.SystemPropertiesPredicate

All Implemented Interfaces:
  `ClassSecurityValidator.ClassSecurityPredicate`

Enclosing class:
  `ClassSecurityValidator`

public static class ClassSecurityValidator.SystemPropertiesPredicate extends Object implements ClassSecurityValidator.ClassSecurityPredicate

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Set<String>`
`SERIALIZABLE_CLASSES`
The set of trusted classes specified by the system property "org.apache.avro.SERIALIZABLE_CLASSES".
`static final NavigableSet<String>`
`SERIALIZABLE_PACKAGES`
The set of trusted packages specified by the system property "org.apache.avro.SERIALIZABLE_PACKAGES".

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isTrusted(Class<?> clazz)`
Checks if the class is trusted to be included in Avro schemas.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.avro.util.ClassSecurityValidator.ClassSecurityPredicate

`forbiddenClass`

## Field Details

### SERIALIZABLE_CLASSES

public static final Set<String> SERIALIZABLE_CLASSES
The set of trusted classes specified by the system property "org.apache.avro.SERIALIZABLE_CLASSES". Empty by default.

### SERIALIZABLE_PACKAGES

public static final NavigableSet<String> SERIALIZABLE_PACKAGES
The set of trusted packages specified by the system property "org.apache.avro.SERIALIZABLE_PACKAGES". Empty by default.

## Method Details

### isTrusted

public boolean isTrusted(Class<?> clazz)
Description copied from interface: `ClassSecurityValidator.ClassSecurityPredicate`
Checks if the class is trusted to be included in Avro schemas.

Specified by:
  `isTrusted` in interface `ClassSecurityValidator.ClassSecurityPredicate`
Parameters:
  `clazz` - the class to check
Returns:
  true if the class is trusted, false otherwise